/*  Copyright 2017 The MathWorks, Inc. */
html{
    height: 100%;
    margin: 0;
    padding: 0;
}
.navbar-inverse .navbar-nav>li>a {
    color: #999;
}
th, td { 
    white-space: nowrap; 
    padding-left:15px;
}
div.dataTables_wrapper {
    margin: 0 auto;
}
p.lmutil_output {
    white-space: pre;
}
tr { 
    height: 50px; 
}
textarea {
    resize: none;
}
input[type="text"]:disabled {
    color: #cccccc;
}
.nohover a:hover {
    color: #999!important;
}
.popover {
    max-width: none;
}
.popover-title{
    font-size: 18px!important;
    background-color:#9fd7fb;
}
.btn-file {
    position: relative;
    overflow: hidden;
}
.btn-file input[type=file] {
    position: absolute;
    top: 0;
    right: 0;
    min-width: 100%;
    min-height: 100%;
    font-size: 100px;
    text-align: right;
    filter: alpha(opacity=0);
    opacity: 0;
    outline: none;
    background: white;
    cursor: inherit;
    display: block;
}
#ctfDataTable td {
    word-break: break-word;
}
.has-error {
    border-color: #a94442!important;
}
.has-error:focus {
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ce8483!important;
}
.alert-warning {
    color: #630!important;
    font-weight: bold!important;
}
#configuration_tab .tooltip div{
    min-width: 380px!important;
    /* If max-width does not work, try using width instead */
    width: 380px!important; 
}
.tooltip div {
    text-align: left;
    word-break: break-word;
}
.tooltip > .tooltip-inner {
    max-width: 500px;
    background-color: #003f73; 
    color: white; 
    border: 1px solid #003f73; 
    padding: 15px;
    font-size: 16px;
}
.form-control {
    padding: 3px 5px!important;
}
span.icon_color_tertiary:before {
    color: #00AB2A!important;
}
span.icon_color_general:before {
    color: #888!important;
}
.row .table-row {
    margin: 5px 0px;
    padding: 5px;
}
.row-bordered:after {
  content: "";
  display: block;
  border-bottom: 1px solid #ccc;
  margin: 0 15px;
}
.content_container {
    overflow-y: scroll!important;
    height: 100%;
}
.section_header_content {
    height: 55px;
    background-color: #003f73;
    z-index: 100;
    position: fixed;
    width: 100%;
}
.sidebar-offcanvas {
    background-color: #f5f5f5!important;
    /* min-height:800px; */
    
    overflow: auto;
}
#treemenu {
    background-color: #f5f5f5;
}
#content_wrapper {
    position: absolute;
    top: 55px;
    bottom: 0px;
    left: 0px;
    right: 0px;
    /* overflow-y:scroll; */
}
#section_main_view {
    height: 100%;
}
#section_tabs {
    height: 80px;
    background-color: white;
}
#section_instance_detail {
    border: 2px solid #efefef;
    margin: 15px -15px;
}
#section_tiles {
    max-width: 540px;
}
#section_tiles h2{
    word-wrap:break-word;
}
#section_chart {
    min-height: 280px;
    margin: 10px 0;
    bottom: 10px!important;
}
#section_top {
    /* height: 60px; */
    
    background-color: rgb(245, 195, 44);
    font-size: large;
}
#section_container_header {
    background-color: #efefef;
    font-size: large;
    padding: 5px 15px;
    margin-bottom: 15px;
}
.tile-container {
    height: 160px;
    padding: 0px;
    background-color: white;
    border: none!important;
}
.tile {
    background-color: #efefef;
    height: 150px!important;
    width: 150px!important;
    margin: auto;
    padding: 15px 5px;
    text-align: center;
}
.img-thumbnail {
    padding: 0 10px 20px 10px!important;
    width: 170!important;
}
.with-left-margin {
    margin-left: 10px;
}
option:disabled {
    color: #aaa;
}
h1 {
    font-weight: regular!important;
    display: block !important;
    color: white !important;
    margin: 0 auto !important;
    text-align: center;
    font-family: "Open Sans"!important;
    font-size: 180% !important;
}
h2 {
    font-weight: regular!important;
    color: rgb(20, 102, 156);
    font-size: 28px !important;
}
h3 {
    font-size: 22px !important;
}
#instance_header {
    padding: 10px;
}

#applicationTable tbody tr td a {
    word-break: break-word;
}
#applicationTable tbody tr td {
    word-break: break-word;
}
#application_history tbody tr td span {
    word-break: break-word;
}
.alert {
    padding: 6px!important;
    font-size: small;
    word-wrap: break-word;
}
.btn-danger {
    background-color: #e5580b!important;
}
.btn-success {
    background-color: #009915!important;
}
button.close {
    font-size: 21px!important;
}
button.DeleteBtn {
    margin-right: 20px;
    background: none;
    border: none;
    text-align: center;
}

button.EditBtn {
    margin-right: 20px;
    background: none;
    border: none;
    text-align: center;
}

button.start {
    background: none;
    border: none;
    text-align: center;
}
button.stop {
    background: none;
    border: none;
    text-align: center;
}
button.restart {
    background: none;
    border: none;
    text-align: center;
}
#zoomOptions {
    background: none;
    border: none;
    float: right;
    right: 30px;
}
#zoomOptions ul li {
    background: none;
    border: none;
}
#zoomOptions ul li a {
    background: none;
    border: none;
    color: black;
    font-size: 15px;
    text-decoration: inherit;
    color: rgb(0, 103, 179);
}
#zoomOptions ul li.active a {
    color: #000;
}
#requestTable_wrapper {
    overflow:auto;
}
div.request-actions{
    text-align:center!important;
    padding:0 10px;
}
.btn-cancel-request{
    margin:0 5px;
}
.btn-delete-request{
    margin:0 5px;
}
.modal-right {
    margin-top: 80%!important;
}
div#overlay {
    display: none;
    z-index: 200;
    background: #000;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0px;
    left: 0px;
    text-align: center;
}
div#specialBox {
    display: none;
    position: relative;
    z-index: 300;
    margin: 150px auto 0px auto;
    width: 500px;
    height: 300px;
    background: #FFF;
    color: #000;
}
#new_version_selector {
    opacity: 0!important;
}
#upload_ctf_dialog {
    margin: 100px;
}
.ui-tabs {
    border: none;
    font-family: futura-pt-n5, futura-pt, Arial, Helvetica, sans-serif;
}
.tabs {
    padding: 15px;
}
.nav-tabs {
    margin-bottom: 15px!important;
}
.nav-tabs li a {
    text-decoration: initial;
}
.nav-tabs li a {
    text-decoration: initial;
}
table a {
    text-decoration: underline;
}
.dataTables_info {
    color: #888888;
    margin-top: 20px;
}
#logTable_paginate {
    margin-top: 20px;
}
#logTable {
    word-break: break-word;
}
#ctfDataTable_filter{
    padding-bottom: 10px;
}   
.content_container .dataTables_filter input {
    padding-left: 5px;
    font-weight: normal;
}
.dataTables_length {
    margin-bottom: 10px;
}
.dataTables_length select {
    padding: 5px;
}
.dataTables_paginate {
    margin-top: 15px;
}
.dataTables_paginate span a.paginate_button {
    background: none!important;
    border: 1px solid #ccc!important;
    -webkit-border-radius: 0px!important;
    -moz-border-radius: 0px!important;
    border-radius: 0px!important;
    padding: 6px 12px!important;
    margin: 0 0 0 -1px !important;
    cursor: pointer!important;
    color: #428bca !important;
}
.dataTables_paginate span a.paginate_active {
    background-color: #428bca!important;
    color: #fff !important;
    -webkit-border-radius: 0px!important;
    -moz-border-radius: 0px!important;
    border-radius: 0px!important;
    padding: 6px 12px!important;
    margin: 0 0 0 -1px!important;
    cursor: pointer!important;
}
.content_container div.dataTables_paginate a.paginate_button {
    background: none!important;
    border: 1px solid #ccc!important;
    -webkit-border-radius: 0px!important;
    -moz-border-radius: 0px!important;
    border-radius: 0px!important;
    padding: 6px 12px!important;
    margin: 0 0 0 -1px !important;
    cursor: pointer!important;
    color: #428bca !important;
}
.content_container div.dataTables_paginate a.paginate_active {
    background-color: #428bca!important;
    color: #fff !important;
    -webkit-border-radius: 0px!important;
    -moz-border-radius: 0px!important;
    border-radius: 0px!important;
    padding: 6px 12px!important;
    margin: 0 0 0 -1px!important;
    cursor: pointer!important;
}
.content_container div.dataTables_paginate a.paginate_button.current {
    background-color: #428bca!important;
    color: #fff !important;
    -webkit-border-radius: 0px!important;
    -moz-border-radius: 0px!important;
    border-radius: 0px!important;
    padding: 6px 12px!important;
    margin: 0 0 0 -1px!important;
    cursor: pointer!important;
}
.content_container div.dataTables_paginate a.first {
    margin-left: 0;
    border-bottom-left-radius: 4px!important;
    border-top-left-radius: 4px!important;
}
.content_container div.dataTables_paginate a.last {
    margin-left: 0;
    border-bottom-right-radius: 4px!important;
    border-top-right-radius: 4px!important;
}
.content_container div.dataTables_paginate .paginate_button:hover {
    color: #23527c!important;
    background-color: #eee!important;
}
.content_container div.dataTables_paginate .paginate_button.current:hover {
    color: #fff!important;
}
.content_container div.dataTables_paginate a.paginate_button.disabled {
    color: #777!important;
    cursor: not-allowed!important;
    background-color: white!important;
}
table.dataTable.no-footer {
    border-bottom: none!important;
    border-collapse:collapse!important;
}
input[type=search] {
    -webkit-appearance: textfield!important;
}
#tabs ul li a {
    border: none;
    font-family: futura-pt-n5, futura-pt, Arial, Helvetica, sans-serif;
    font-size: 18px !important;
}
.accordion-group {
    border: 1px solid #e5e5e5;
    border-radius: 4px;
    margin-bottom: 2px;
}
.accordion-heading {
    border-bottom: 0;
    background-color: #428bca;
}
.accordion-heading a {
    color: #fff!important;
}
.accordion-heading a:hover {
    color: white!important;
}
.accordion-heading .accordion-toggle {
    display: block;
    padding: 8px 15px;
}
.accordion-toggle {
    cursor: pointer;
}
.accordion-inner {
    padding: 20px 15px;
    border-top: 1px solid #e5e5e5;
    overflow: auto;
}
.accordion-inner table {
    border-spacing: 0px 5px;
    border-collapse: separate;
}
.ui-widget-header {
    background: none;
    border: none;
    border-bottom: 1px solid #ccc;
}
.ui-tabs .ui-tabs-nav .ui-tabs-anchor {
    color: rgb(20, 102, 156);
}
.ui-state-default,
.ui-widget-content .ui-state-default,
.ui-widget-header .ui-state-default {
    background: none;
    font-weight: bold;
    border: none;
}
.ui-state-active,
.ui-widget-content .ui-state-active,
.ui-widget-header .ui-state-active {
    background: none;
    color: black;
    font-weight: bold;
}
.ui-state-active a {
    color: black !important;
}
.ui-tabs .ui-tabs-nav li {
    border: 2px solid #ccc;
    border-bottom-color: white;
    border-bottom-width: 1px;
}
.short-label {
    width:150px;
}
label {
    margin-right: 10px;
}
.btn-group label {
    margin-right: 0;
}
.btn-group>.btn+.dropdown-toggle {
    height:34px;
}
.btn .caret {
    margin-top:4px;
}

#profileOnLabel {
    background-color: white;
    border-color: #aaa;
}
#profileOnLabel:hover {
    color: #428bca;
}
#profileOnLabel.active {
    color: white!important;
    background-color: #428bca;
    border-color: #428bca;
}
#profileOffLabel {
    background-color: white;
}
#profileOffLabel.active {
    color: #555!important;
    background-color: #ddd;
    border-color: #aaa;
}
#profileOffLabel:hover {
    color: #ccc;
}
.server-detail-label {
    color: #000!important;
    text-align: right;
    font-weight: bold;
}
.app-detail .row div{
    float: left;
    margin-right:15px;
    /* margin-top:15px; */
}
.app-detail .row div h4{
    margin-top:15px;
}
.app-detail .row div h5{
    margin-top:17px;
}
.dataTables_filter label {
    margin-right: 0px;
}
input[type="textarea"] {
    height: 50px;
}
input[type="button"]:disabled {
    border: 1px solid #999;
    background-color: #ddd;
    color: #888;
}
button:disabled span.icon_color_general:before {
    color: #ddd!important;
}
#instance_configuration table th {
    width: 300px;
}
#instance_configuration table td {
    align: left;
}
#instance_configuration table input[type="text"] {
    width: 300px;
}
.ui-button.blueButton {
    color: white;
    background: rgb(20, 102, 156);
}
.dataTable tr {
    line-height: 2em;
}
table.dataTable th {
    /* background-color:#428bca !important; */
    
    background-color: #888;
    color: white;
}
.dataTable .sorting {
    background: #888;
}
.dataTable .sorting_asc {
    background: none!important;
    background-color: #428bca!important;
}
/* .dataTable .sorting_asc:after {
    content: "\e61a" !important;
    font-family: 'mathworks';
    float: right;
} */
 .dataTable .sorting_desc {
    background: none!important;
    background-color: #428bca!important;
}
/* .dataTable .sorting_desc:after {
    content: "\e60f" !important;
    font-family: 'mathworks';
    float: right;
} */
td th {
    padding: 5px;
}
table.dataTable tr.odd {
    background-color: #ffffff !important;
}
table.dataTable tr.even {
    background-color: #f5f5f5 !important;
}
table.dataTable tr.odd td.sorting_1 {
    /* background-color:#E0F0FF!important; */
    
    background-color: #ffffff!important;
}
table.dataTable tr.even td.sorting_1 {
    /* background-color:#D3E2F1 !important; */
    
    background-color: #f5f5f5 !important;
}
tr.row_selected td {
    background-color: #99CC00 !important;
}
#chart_1 {
    width: 1200px;
    height: 400px;
    top: 30px;
}
#chart_1 div.xAxis div.tickLabel {
    margin-top: 5px;
    transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    /* IE 9 */
    
    -moz-transform: rotate(-45deg);
    /* Firefox */
    
    -webkit-transform: rotate(-45deg);
    /* Safari and Chrome */
    
    -o-transform: rotate(-45deg);
    /* Opera */
    /*rotation-point:50% 50%;*/
    /* CSS3 */
    /*rotation:270deg;*/
    /* CSS3 */
}
#chart_1 table tr td {
    font-size: 14px!important;
    padding: 3px!important;
}
/* #help_index{
	height:100%;
	width:100%;
	border:none;
	padding-left:50px;
} */